%define oname   connection_pool

Name:       ruby-%{oname}
Version:    2.2.3
Release:    %mkrel 1
Summary:    Generic connection pool for Ruby
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/mperham/connection_pool
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Generic connection pool for Ruby.

%files
%{gem_instdir}
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sun Nov 01 2020 pterjan <pterjan> 2.2.3-1.mga8
+ Revision: 1641211
- Update to 2.2.3

* Wed Feb 12 2020 umeabot <umeabot> 2.2.2-3.mga8
+ Revision: 1507656
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 2.2.2-2.mga7
+ Revision: 1290797
- Mageia 7 Mass Rebuild

* Thu May 31 2018 pterjan <pterjan> 2.2.2-1.mga7
+ Revision: 1233326
- Update to 2.2.2

* Mon Apr 23 2018 pterjan <pterjan> 2.2.1-1.mga7
+ Revision: 1222024
- imported package ruby-connection_pool

